# vmware_migrate_vmk – Migrate a VMK interface from VSS to VDS

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- Migrate a VMK interface from VSS to VDS

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6

- PyVmomi

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
current_portgroup_name string / required |  | Portgroup name VMK interface is currently on
current_switch_name string / required |  | Switch VMK interface is currently on
device string / required |  | VMK interface name
esxi_hostname string / required |  | ESXi hostname to be managed
hostname string |  | The hostname or IP address of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_HOST` will be used instead. Environment variable support added in Ansible 2.6.
migrate_portgroup_name string / required |  | Portgroup name to migrate VMK interface to
migrate_switch_name string / required |  | Switch name to migrate VMK interface to
password string |  | The password of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_PASSWORD` will be used instead. Environment variable support added in Ansible 2.6. aliases: pass, pwd
port integer added in 2.5 | Default: 443 | The port number of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_PORT` will be used instead. Environment variable support added in Ansible 2.6.
proxy_host string added in 2.9 |  | Address of a proxy that will receive all HTTPS requests and relay them. The format is a hostname or a IP. If the value is not specified in the task, the value of environment variable `VMWARE_PROXY_HOST` will be used instead. This feature depends on a version of pyvmomi greater than v6.7.1.2018.12
proxy_port integer added in 2.9 |  | Port of the HTTP proxy that will receive all HTTPS requests and relay them. If the value is not specified in the task, the value of environment variable `VMWARE_PROXY_PORT` will be used instead.
username string |  | The username of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_USER` will be used instead. Environment variable support added in Ansible 2.6. aliases: admin, user

validate_certs
boolean

Choices:
- no
- yes ←

Allows connection when SSL certificates are not valid. Set to `false` when certificates are not trusted.
If the value is not specified in the task, the value of environment variable `VMWARE_VALIDATE_CERTS` will be used instead.
Environment variable support added in Ansible 2.6.
If set to `yes`, please make sure Python >= 2.7.9 is installed on the given machine.

## Notes

Note

- Tested on vSphere 5.5

## Examples

    - name: Migrate Management vmk
      vmware_migrate_vmk:
        hostname: "{{ vcenter_hostname }}"
        username: "{{ vcenter_username }}"
        password: "{{ vcenter_password }}"
        esxi_hostname: "{{ esxi_hostname }}"
        device: vmk1
        current_switch_name: temp_vswitch
        current_portgroup_name: esx-mgmt
        migrate_switch_name: dvSwitch
        migrate_portgroup_name: Management
      delegate_to: localhost

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Joseph Callen (@jcpowermac)

- Russell Teague (@mtnbikenc)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.